%define name        caja-actions
%define version     1.6.2
%define libname     %mklibname %name
%define develname   %mklibname -d %name
%define rel         1

Name:       %{name}
Version:    %{version}
Release:    %mkrel %rel
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
Summary:    Caja extension for customizing the context menus

URL:        https://github.com/NiceandGently/caja-actions
Source0:    http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-%{version}.tar.gz

BuildRequires:    pkgconfig(libcaja-extension)
BuildRequires:    pkgconfig(uuid)
BuildRequires:    pkgconfig(sm)
BuildRequires:    pkgconfig(unique-1.0)
BuildRequires:    mate-common
BuildRequires:    pkgconfig(libxml-2.0)
BuildRequires:    mate-doc-utils-devel
BuildRequires:    pkgconfig(libgtop-2.0)

Requires:         %{libname} = %{version}-%{release}

%description
Caja actions is an extension for Caja, the MATE file manager.
It provides an easy way to configure programs to be launch on files 
selected in Caja interface

%package -n %{name}-docs
Summary:    Documentations for %{name}
Group:      Documentation
BuildArch:  noarch

%description -n %{name}-docs
This package contains the documentation for %{name}

%package -n %{libname}
Summary:    %{name} libraries
Group:      System/Libraries

%description -n %{libname}
Runtime libraries for %{name}

%package -n %{develname}
Summary:    Development tools for the %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains headers and shared libraries needed for development
with caja-actions.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
    --with-gtk=2 \
    --disable-scrollkeeper \
    --enable-html-manuals=gdt

%make

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

# clean docs dirs
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/INSTALL
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2008
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2009
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2010
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/ChangeLog-2011
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/MAINTAINERS

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/caja-actions-run
%{_bindir}/caja-actions-config-tool
%{_bindir}/caja-actions-new
%{_bindir}/caja-actions-print
%{_libexecdir}/caja-actions/
%{_datadir}/caja-actions/
%{_datadir}/icons/hicolor/*/apps/caja-actions.*
%{_datadir}/applications/cact.desktop

%files -n %{libname}
%{_libdir}/caja-actions/
%{_libdir}/caja/extensions-2.0/libcaja-actions-menu.so
%{_libdir}/caja/extensions-2.0/libcaja-actions-tracker.so

%files -n %{name}-docs
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/mate/help/caja-actions-config-tool/
%{_datadir}/gtk-doc/html/caja-actions-3/
%{_datadir}/omf/caja-actions-config-tool/
%{_docdir}/caja-actions-%{version}/html/
%{_docdir}/caja-actions-%{version}/pdf/
%{_docdir}/caja-actions-%{version}/objects-hierarchy.odg
%{_docdir}/caja-actions-%{version}/AUTHORS
%{_docdir}/caja-actions-%{version}/ChangeLog
%{_docdir}/caja-actions-%{version}/NEWS
%{_docdir}/caja-actions-%{version}/README
%{_docdir}/caja-actions-%{version}/COPYING
%{_docdir}/caja-actions-%{version}/COPYING-DOCS

%files -n %{develname}
%{_includedir}/caja-actions/



%changelog
* Tue Dec 10 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 556217
- imported package caja-actions

